Skip to main content
GET
https://{tenantDomain}/api/v2
/
keys
/
encryption
/
{kid}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.Encryption.GetAsync(
            "kid"
        );
    }

}
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Keys.Encryption.Get(
        context.TODO(),
        "kid",
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.keys().encryption().get("kid");
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
    token: '<token>',
);
$client->keys->encryption->get(
    'kid',
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.keys.encryption.get(
    kid="kid",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.keys.encryption.get(kid: "kid")
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.keys.encryption.get("kid");
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.keys.encryption.get("kid");
}
main();
curl --request GET \
  --url https://{tenantDomain}/api/v2/keys/encryption/{kid} \
  --header 'Authorization: Bearer <token>'
{
  "kid": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "parent_kid": "<string>",
  "public_key": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

kid
string
required

Encryption key ID

Response

The key was successfully retrieved.

Encryption key

kid
string
required

Key ID

type
enum<string>
required

Key type

Available options:
customer-provided-root-key,
environment-root-key,
tenant-master-key,
tenant-encryption-key
state
enum<string>
required

Key state

Available options:
pre-activation,
active,
deactivated,
destroyed
created_at
string<date-time>
required

Key creation timestamp

updated_at
string<date-time>
required

Key update timestamp

parent_kid
string | null

ID of parent wrapping key

public_key
string | null

Public key in PEM format